%define name espeak
%define version 1.36.02
%define release %mkrel 3

%define major 1
%define libname %mklibname %name %major
%define libnamedev %mklibname -d %name

#disable autorequires on portaudio since we build with portaudio0
%define _requires_exceptions devel(libportaudio

Summary: Text to speech synthesis engine
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://downloads.sourceforge.net/espeak/%{name}-%{version}-source.zip
License: GPL
Group: Sound
Url: http://espeak.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: portaudio0-devel
Requires: sox

%description
eSpeak is a compact open source software speech synthesizer for
English and other languages.

eSpeak produces good quality English speech. It uses a different
synthesis method from other open source TTS engines, and sounds quite
different. It's perhaps not as natural or "smooth", but I find the
articulation clearer and easier to listen to for long periods.

%package -n %libname
Group: System/Libraries
Summary: Text to speech library
Requires: %name >= %version

%description -n %libname
eSpeak is a compact open source software speech synthesizer for
English and other languages.

eSpeak produces good quality English speech. It uses a different
synthesis method from other open source TTS engines, and sounds quite
different. It's perhaps not as natural or "smooth", but I find the
articulation clearer and easier to listen to for long periods.

%package -n %libnamedev
Group: Development/C++
Summary: Text to speech library
Requires: %libname = %version
Provides: libespeak-devel = %version-%release
Obsoletes: %mklibname -d %name %major
Requires: portaudio0-devel


%description -n %libnamedev
eSpeak is a compact open source software speech synthesizer for
English and other languages.

eSpeak produces good quality English speech. It uses a different
synthesis method from other open source TTS engines, and sounds quite
different. It's perhaps not as natural or "smooth", but I find the
articulation clearer and easier to listen to for long periods.


%prep
%setup -q -n %name-%version-source
chmod 644 ReadMe ChangeLog *.txt
rm -f src/portaudio.h

%build
cd src
make 

%install
rm -rf $RPM_BUILD_ROOT
cd src
mkdir -p %buildroot%_datadir/%name-data
%makeinstall BINDIR=%buildroot%_bindir INCDIR=%buildroot%_includedir/%name LIBDIR=%buildroot%_libdir DATADIR=%buildroot%_datadir/%name-data

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ReadMe ChangeLog *.txt docs
%_bindir/%name
%_datadir/%name-data

%files -n %libname
%defattr(-,root,root)
%_libdir/libespeak.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root)
%_includedir/%name
%_libdir/libespeak.so
%_libdir/libespeak.a




%changelog
* Thu Mar 13 2008 Frederic Crozat <fcrozat@mandriva.com> 1.36.02-3mdv2008.1
+ Revision: 187508
- Exclude requires, not provides

* Thu Mar 13 2008 Frederic Crozat <fcrozat@mandriva.com> 1.36.02-2mdv2008.1
+ Revision: 187471
- Disable autorequires on devel portaudio package since we build with portaudio18

* Thu Mar 13 2008 Frederic Crozat <fcrozat@mandriva.com> 1.36.02-1mdv2008.1
+ Revision: 187448
- Fix buildrequires for x86-64
- Release 1.36.02
- Build with portaudio18, since portaudio19 alsa support doesn't work with Pulseaudio :(

* Fri Jan 25 2008 Colin Guthrie <cguthrie@mandriva.org> 1.31-2mdv2008.1
+ Revision: 157871
- Rebuild to fix extension

* Sun Jan 20 2008 Götz Waschk <waschk@mandriva.org> 1.31-1mdv2008.1
+ Revision: 155301
- new version
- *** empty log message ***

* Mon Dec 31 2007 Götz Waschk <waschk@mandriva.org> 1.30-1mdv2008.1
+ Revision: 139858
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 27 2007 Götz Waschk <waschk@mandriva.org> 1.29-1mdv2008.0
+ Revision: 71890
- new devel name
- new version
- drop patch

* Mon Aug 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.28-2mdv2008.0
+ Revision: 67911
- rebuilt against new portaudio libs

* Mon Jul 16 2007 Götz Waschk <waschk@mandriva.org> 1.28-1mdv2008.0
+ Revision: 52755
- new version

* Sat Jun 30 2007 Götz Waschk <waschk@mandriva.org> 1.27-1mdv2008.0
+ Revision: 46122
- new version

* Sat Jun 09 2007 Götz Waschk <waschk@mandriva.org> 1.26-1mdv2008.0
+ Revision: 37668
- new version

* Sat May 19 2007 Götz Waschk <waschk@mandriva.org> 1.25-1mdv2008.0
+ Revision: 28440
- new version

* Thu May 03 2007 Götz Waschk <waschk@mandriva.org> 1.24-1mdv2008.0
+ Revision: 21896
- new version

* Sun Apr 22 2007 Götz Waschk <waschk@mandriva.org> 1.23-1mdv2008.0
+ Revision: 16897
- new version
- update file list


* Fri Apr 06 2007 Götz Waschk <waschk@mandriva.org> 1.22-1mdv2007.1
+ Revision: 150798
- new version
- fix installation

* Wed Feb 28 2007 Götz Waschk <waschk@mandriva.org> 1.21-1mdv2007.1
+ Revision: 127156
- new version
- rediff the patch

* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 1.20-1mdv2007.1
+ Revision: 116969
- new version
- rediff the patch

* Tue Jan 30 2007 Götz Waschk <waschk@mandriva.org> 1.19-3mdv2007.1
+ Revision: 115424
- replace tmpnam by mkstemp

* Tue Jan 30 2007 Götz Waschk <waschk@mandriva.org> 1.19-2mdv2007.1
+ Revision: 115413
- fix doc permissions
- depend on sox

* Sat Jan 27 2007 Götz Waschk <waschk@mandriva.org> 1.19-1mdv2007.1
+ Revision: 114403
- Import espeak

* Sat Jan 27 2007 Gtz Waschk <waschk@mandriva.org> 1.19-1mdv2007.1
- initial package

